<!DOCTYPE html>
<html>
  <head>
    <title>Happy Cooker :)</title>
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_pack_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Fredoka+One&display=swap" rel="stylesheet">
  </head>

  <body>
    <div data-behavior='vue'>
      <div class="navbar-fixed">
        <nav class="purple darken-4">
          <div class="nav-wrapper">
            <a href="#" class="logo-font brand-logo ml-20"><b>Happy cooker :)</b></a>
            <ul id="nav-mobile" class="right hide-on-med-and-down">
              <% if signed_in? %>
                <li><%= link_to "Log out", destroy_user_session_path, method: :delete %></li>
              <% end %>
            </ul>
          </div>
        </nav>
      </div>

      <%= yield %>
    </div>
  </body>
</html>
